CREATE TABLE mot_imp_terr_coverages (
    INTERFACE_ROW_ID            NUMBER(18, 0) ,
    BATCH_ID                    NUMBER(18, 0) ,
    IMPORT_STATUS_CODE          VARCHAR2(120) ,
    ACTION_CODE                 VARCHAR2(120) ,
    FILE_RECORD_NUM             NUMBER(10, 0) ,
    FILE_NAME_SYSTASK_ID        NUMBER(18, 0) ,
    INTERNAL_ACTION_CODE        VARCHAR2(120) ,
    ERROR_FLAG                  VARCHAR2(4)   ,
    ERROR_TEXT                  VARCHAR2(4000),
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CONFLICT_ID                 NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                  NUMBER(18, 0) ,
    ELIGIBLE_FOR_IMPORT_FLAG    VARCHAR2(4)   ,
    TERRITORY_NUMBER            VARCHAR2(120) ,
    DISPLAY_TERRITORY_NAME      VARCHAR2(240) ,
    COVERAGE_TYPE               VARCHAR2(320) ,
    DIMENSION                   VARCHAR2(240) ,
    DIMENSION_MEMBER_KEY        VARCHAR2(4000),
    DIMENSION_MEMBER_KEY2       VARCHAR2(800) ,
    DIMENSION_MEMBER_NAME       VARCHAR2(2900),
    INCLUDE_CUST_HIER_YES_NO    VARCHAR2(4)   ,
    DIMENSION_CODE              VARCHAR2(20)  ,
    COVERAGE_TYPE_CODE          VARCHAR2(120) ,
    DIMENSION_MEMBER_LOW        VARCHAR2(4000),
    DIMENSION_MEMBER_HIGH       VARCHAR2(4000),
    TERR_DIM_INTG_ID            VARCHAR2(320) ,
    TERR_DIM_INTG_HIGH_ID       VARCHAR2(320) ,
    TERRITORY_VERSION_ID        NUMBER(18, 0) ,
    LANGUAGE_CODE               VARCHAR2(16)  ,
    TERR_RULE_ID                NUMBER(18, 0) ,
    TERR_RULE_BOUNDARY_ID       NUMBER(18, 0) ,
    TERR_RULE_BNDRY_VALUE_ID    NUMBER(18, 0) ,
    ADDRESS_COUNTRY             VARCHAR2(8)   ,
    ADDRESS_STATE               VARCHAR2(240) ,
    ADDRESS_PROVINCE            VARCHAR2(240) ,
    ADDRESS_COUNTY              VARCHAR2(240) ,
    ADDRESS_CITY                VARCHAR2(240) ,
    ADDRESS_POSTAL_CODE         VARCHAR2(240) ,
    ADDRESS_HIGH_POSTAL_CODE    VARCHAR2(240) ,
    ADDRESS_LOW_POSTAL_CODE     VARCHAR2(240) ,
    ADDR_ELEMENT_ATTRIBUTE1     VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE2     VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE3     VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE4     VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE5     VARCHAR2(600) ,
    INTERFACE_ROW_ID            NUMBER(18, 0) ,
    BATCH_ID                    NUMBER(18, 0) ,
    IMPORT_STATUS_CODE          VARCHAR2(120) ,
    ACTION_CODE                 VARCHAR2(120) ,
    FILE_RECORD_NUM             NUMBER(10, 0) ,
    FILE_NAME_SYSTASK_ID        NUMBER(18, 0) ,
    INTERNAL_ACTION_CODE        VARCHAR2(120) ,
    ERROR_FLAG                  VARCHAR2(4)   ,
    ERROR_TEXT                  VARCHAR2(4000),
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CONFLICT_ID                 NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                  NUMBER(18, 0) ,
    ELIGIBLE_FOR_IMPORT_FLAG    VARCHAR2(4)   ,
    TERRITORY_NUMBER            VARCHAR2(120) ,
    DISPLAY_TERRITORY_NAME      VARCHAR2(240) ,
    COVERAGE_TYPE               VARCHAR2(320) ,
    DIMENSION                   VARCHAR2(240) ,
    DIMENSION_MEMBER_KEY        VARCHAR2(4000),
    DIMENSION_MEMBER_KEY2       VARCHAR2(800) ,
    DIMENSION_MEMBER_NAME       VARCHAR2(2900),
    INCLUDE_CUST_HIER_YES_NO    VARCHAR2(4)   ,
    DIMENSION_CODE              VARCHAR2(20)  ,
    COVERAGE_TYPE_CODE          VARCHAR2(120) ,
    DIMENSION_MEMBER_LOW        VARCHAR2(4000),
    DIMENSION_MEMBER_HIGH       VARCHAR2(4000),
    TERR_DIM_INTG_ID            VARCHAR2(320) ,
    TERR_DIM_INTG_HIGH_ID       VARCHAR2(320) ,
    TERRITORY_VERSION_ID        NUMBER(18, 0) ,
    LANGUAGE_CODE               VARCHAR2(16)  ,
    TERR_RULE_ID                NUMBER(18, 0) ,
    TERR_RULE_BOUNDARY_ID       NUMBER(18, 0) ,
    TERR_RULE_BNDRY_VALUE_ID    NUMBER(18, 0) ,
    ADDRESS_COUNTRY             VARCHAR2(8)   ,
    ADDRESS_STATE               VARCHAR2(240) ,
    ADDRESS_PROVINCE            VARCHAR2(240) ,
    ADDRESS_COUNTY              VARCHAR2(240) ,
    ADDRESS_CITY                VARCHAR2(240) ,
    ADDRESS_POSTAL_CODE         VARCHAR2(240) ,
    ADDRESS_HIGH_POSTAL_CODE    VARCHAR2(240) ,
    ADDRESS_LOW_POSTAL_CODE     VARCHAR2(240) ,
    ADDR_ELEMENT_ATTRIBUTE1     VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE2     VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE3     VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE4     VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE5     VARCHAR2(600) ,
    CONSTRAINT pk_mot_imp_terr_coverages PRIMARY KEY (INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID, BATCH_ID)
);
